---
#  This is an example scene description for the raytracer framework created 
#  for the Computer Science course "Introduction to Computer Graphics"
#  taught at the University of Groningen by Tobias Isenberg.
#
#  The scene description format we use is based on YAML, which is a human friendly 
#  data serialization standard. This gives us a flexible format which should be
#  fairly easy to make both backward and forward compatible (i.e., by ignoring
#  unknown directives). In addition parsers are available for many languages.
#  See http://www.yaml.org/ for more information on YAML.
#
#  The example scene description should largely speak for itself. By now
#  it should be clear that the #-character can be used to insert comments.

Eye: [200,200,1000]  

Shadows: true

Lights:
- position: [-200,600,1500]
  color: [1.0,1.0,1.0]

Objects:
- type: sphere
  position: [90,320,100]
  radius: 50
  material: # blue
    color: [0.0,0.0,1.0]
    ka: 0.2
    kd: 0.7
    ks: 0.5
    n: 64
- type: sphere
  position: [210,270,300]
  radius: 50
  material: # green
    color: [0.0,1.0,0.0]
    ka: 0.2
    kd: 0.3
    ks: 0.5
    n: 8
- type: sphere
  position: [290,170,150]
  radius: 50
  material: # red
    color: [1.0,0.0,0.0]
    ka: 0.2
    kd: 0.7
    ks: 0.8
    n: 32
- type: sphere
  position: [140,220,400]
  radius: 50
  material: # yellow
    color: [1.0,0.8,0.0]
    ka: 0.2
    kd: 0.8
    ks: 0
    n: 1
- type: sphere
  position: [110,130,200]
  radius: 50
  material: # orange
    color: [1.0,0.5,0.0]
    ka: 0.2
    kd: 0.8
    ks: 0.5
    n: 32
- type: sphere
  position: [200,200,-1000]
  radius: 1000
  material: # grey
    color: [0.4,0.4,0.4]
    ka: 0.2
    kd: 0.8
    ks: 0
    n: 1
